List visible projects
GET
/v1/projects
const url = 'https://api-dev.impulsehosting.com/v1/projects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-dev.impulsehosting.com/v1/projects \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Projects visible to the key
Media typeapplication/json
object
projects
required
Array<object>
object
id
required
string format: uuid
org_id
required
string format: uuid
name
required
string
slug
required
string
status
required
string
Examplegenerated
{ "projects": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "org_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "slug": "example", "status": "example" } ]}Authentication failed
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Scope or project binding denied
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}